### Enumeration

# FwupdPlugin ZipCompression

#### Declaration

    enum FwupdPlugin.ZipCompression

#### Description

No description available.

#### Members

`FU_ZIP_COMPRESSION_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_SHRUNK`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_IMPLODE`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_TOKENIZE`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_DEFLATE`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_DEFLATE64`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_BZIP2`

  No description available.

  - Value: `12`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_LZMA`

  No description available.

  - Value: `14`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_TERSE`

  No description available.

  - Value: `18`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_ZSTANDARD`

  No description available.

  - Value: `93`
  - Available since: 1.0
`FU_ZIP_COMPRESSION_XZ`

  No description available.

  - Value: `95`
  - Available since: 1.0